## org.apache.hadoop.io
Class BooleanWritable

    java.lang.Object
      org.apache.hadoop.io.BooleanWritable

All Implemented Interfaces:
  Comparable, Writable, WritableComparable

    public class BooleanWritable

extends Object
implements WritableComparable

A WritableComparable for booleans.

Nested Class Summary
`static class` `BooleanWritable.Comparator` A Comparator optimized for BooleanWritable.

Constructor Summary
`BooleanWritable()`
`BooleanWritable(boolean value)`

Method Summary
`int` `compareTo(Object o)`
`boolean` `equals(Object o)`
`boolean` `get()` Returns the value of the BooleanWritable
`int` `hashCode()`
`void` `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` `set(boolean value)` Set the value of the BooleanWritable
`String` `toString()`
`void` `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BooleanWritable

    public BooleanWritable()

### BooleanWritable

    public BooleanWritable(boolean value)

Method Detail

### set

    public void set(boolean value)

  Set the value of the BooleanWritable

### get

    public boolean get()

  Returns the value of the BooleanWritable

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009 The Apache Software Foundation